com.google.appengine.tools.info

## Class Version

- java.lang.Object
- - com.google.appengine.tools.info.Version

-     public class Version
      extends java.lang.Object

  `Version` supplies information about Google App Engine versions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Version` | `UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<java.lang.String>` | `getApiVersions()` Returns a `Set` of all support API versions, or `null` if no timestamp is available.
    `java.lang.String` | `getRelease()` Returns the logical release name (e.g.
    `java.util.Date` | `getTimestamp()` Returns the `Date` that the build was done, or `null` if no timestamp is available.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final Version UNKNOWN

  - ### Method Detail

    - #### getRelease

          public java.lang.String getRelease()

      Returns the logical release name (e.g. 1.0.0), or `null` if no release information is available.

    - #### getTimestamp

          public java.util.Date getTimestamp()

      Returns the `Date` that the build was done, or `null` if no timestamp is available.

    - #### getApiVersions

          public java.util.Set<java.lang.String> getApiVersions()

      Returns a `Set` of all support API versions, or `null` if no timestamp is available.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`